
Foreman - Bug #31262

Users are not warned on an incorrect logging layout in errors:fetch_log

11/04/2020 05:36 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Logging   

Target version: 2.2.1   

Difficulty:  Fixed in Releases: 2.2.1, 2.3.0

Triaged: No Found in Releases: 2.2.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8126

  

Description

The errors:fetch_log task depends on the multiline_request_pattern layout. If another layout is used, the output is incomplete and

users should be warned about that.

Related issues:

Related to Foreman - Bug #31884: rake errors:fetch_log errors when layout is ... Closed

Associated revisions

Revision e26c6c15 - 11/08/2020 01:28 PM - Ewoud Kohl van Wijngaarden

Fixes #31262 - Warn about incorrect logging layout

a7874f5722625e3a64c557a4d2d445c8b67d1548 introduced a rake task to get

error reports, but this requires the multiline_request_pattern logging

layout. This warns users in case the layout is incorrect.

History

#1 - 11/04/2020 05:37 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/8126 added

#2 - 11/04/2020 05:38 PM - Ewoud Kohl van Wijngaarden

- Target version set to 2.2.1

- Found in Releases 2.2.0 added

- Found in Releases deleted (2.1.3)

#3 - 11/08/2020 01:28 PM - The Foreman Bot

- Fixed in Releases 2.4.0 added

#4 - 11/08/2020 01:31 PM - Tomer Brisker

- Fixed in Releases 2.2.1, 2.3.0 added

- Fixed in Releases deleted (2.4.0)

#5 - 11/08/2020 02:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|e26c6c1534f9817e8a2ebfa91925114ebdfcb329.

#6 - 02/16/2021 10:18 AM - Tomer Brisker

- Related to Bug #31884: rake errors:fetch_log errors when layout is not multiline_request_pattern added
